#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		nname		%(echo %{sname} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-py-filelock
Version		:	3.8.2
Release		:	16.2.0.rel%{?dist}
Summary		:	A platform independent file lock

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT and (ASL 2.0 or BSD)
URL		:	https://github.com/benediktschmitt/py-filelock

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

BuildRequires	:	python-setuptools-scm
BuildRequires	:	python-packaging
BuildRequires	:	python3-setuptools

#-----------------------------------------------------------------------------
%description
This package contains a single module, which implements
a platform independent file lock in Python, which provides
a simple way of inter-process communication:
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE
%{python3_sitelib}/%{nname}/py.typed
%{python3_sitelib}/%{nname}/*.py
%{python3_sitelib}/%{nname}/__pycache__/*.pyc
%{python3_sitelib}/%{nname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
echo "Version: %{version}" > PKG-INFO

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
#PYTHONPATH="$PWD/build/lib:$PWD/src" 			\
#  %{__python} -m pytest					\
#   --deselect tests/unit/create/test_creator.py::test_py_pyc_missing

	
#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
